[SCM] debian-live/live-helper branch, master, updated. 1.0_a35-1-10-gcd101e9

Daniel Baumann daniel at debian.org
Sun Nov 11 13:45:59 UTC 2007


The branch, master has been updated
       via  cd101e9220c0528901a69bf0a2035571df0331ab (commit)
      from  0408e7ebbaa81db5c60592906c2a35696e3d96ab (commit)


- Shortlog ------------------------------------------------------------
cd101e9 Adding generic lh wrapper.

Summary of changes:
 helpers/lh        |   60 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 helpers/make-live |   19 ++--------------
 2 files changed, 63 insertions(+), 16 deletions(-)
-----------------------------------------------------------------------
Details of changes:

commit cd101e9220c0528901a69bf0a2035571df0331ab
Author: Daniel Baumann <daniel at debian.org>
Date:   Sun Nov 11 14:45:34 2007 +0100

    Adding generic lh wrapper.

diff --git a/helpers/make-live b/helpers/lh
similarity index 62%
copy from helpers/make-live
copy to helpers/lh
index 1630b1d..7bd4b00 100755
--- a/helpers/make-live
+++ b/helpers/lh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# make-live(1) - utility to build Debian Live systems
+# live-helper(1) - utility to build Debian Live systems
 # Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -22,7 +22,39 @@
 
 set -e
 
-echo "make-live is obsolete."
-echo "Use lh_config and lh_build instead."
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
 
-exit 1
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="utility to build Debian Live systems"
+HELP="FIXME"
+USAGE="FIXME"
+
+case "${1}" in
+	-h|--help)
+		Help
+		;;
+
+	-u|--usage)
+		Usage
+		;;
+
+	-v|--version)
+		Version
+		;;
+
+	*)
+		if [ -x /usr/bin/lh_"${1}" ]
+		then
+			exec /usr/bin/lh_"${1}" $(echo ${@} | sed -e "s/${1}//")
+		else
+			Echo_error "no such helper"
+			exit 1
+		fi
+		;;
+esac
diff --git a/helpers/make-live b/helpers/make-live
index 1630b1d..00f0bed 100755
--- a/helpers/make-live
+++ b/helpers/make-live
@@ -3,22 +3,9 @@
 # make-live(1) - utility to build Debian Live systems
 # Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-#
-# On Debian systems, the complete text of the GNU General Public License
-# can be found in /usr/share/common-licenses/GPL-2 file.
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
 
 set -e
 

-- 
debian-live/live-helper



More information about the debian-live-changes mailing list